#ifndef FX2_EEPROM_H
#define FX2_EEPROM_H

#include <fx2.h>
extern BYTE FX2_EEPROM_Read(		WORD page, BYTE offset, BYTE length, BYTE xdata *dat);
extern BYTE FX2_EEPROM_Write(		WORD page, BYTE offset, BYTE length, BYTE xdata *dat);

extern BYTE FX2_EEPROM_ReadPage(	WORD page, BYTE length, BYTE xdata *dat);
extern BYTE FX2_EEPROM_WritePage(	WORD page, BYTE length, BYTE xdata *dat);

extern BYTE FX2_EEPROM_ReadPage0(	BYTE addr, BYTE length, BYTE xdata *dat);
extern BYTE FX2_EEPROM_WritePage0(	BYTE addr, BYTE length, BYTE xdata *dat);

#endif
